Skip to content

Authorization data policy

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Data policy creates subject authorization, and mutual authorization is performed through authorization subject and data policy.

Method name

ManagementClient.authorizeDataPolicies

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
targetList<a SubjectDto[]Yes-Data permission list, all data permissions under each policy
policyIdsstring[]Yes-Data policy id list Array length limit: 50.["6301cexxxxxxxxxx27478","63123cexxxxxxxxxx2123101"]

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.authorizeDataPolicies({
    policyIds: ["6301cexxxxxxxxxx27478", "63123cexxxxxxxxxx2123101"],
    targetList: [
      {
        id: "6301cexxxxxxxxxxxxxxxxx78",
        type: SubjectDto.type.USER,
        name: "User name",
      },
    ],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CommonResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

Data structure

SubjectDto

NameTypeIs it required?DescriptionSample value
idstringYesSubject ID, including user ID, user group ID, role ID, organization ID6301cexxxxxxxxxxxxxxxxxx78
typestringyesSubject type, including USER, GROUP, ROLE, and ORGUSER
namestringnoSubject name, including user name, user group name, role name, and organization nameUser name

Agent infrastructure for identity, memory, and web action.